=== modified file 'NEWS'
--- NEWS	2007-09-24 17:40:26 +0000
+++ NEWS	2007-09-25 14:09:40 +0000
@@ -1,3 +1,9 @@
+0.92.0	UNRELEASED
+
+ INTERNALS
+
+  * Use standard version tuple. (Jelmer)
+
 0.91.0	2007-09-24
 
  UI

=== modified file '__init__.py'
--- __init__.py	2007-09-24 19:06:13 +0000
+++ __init__.py	2007-09-25 14:09:40 +0000
@@ -33,9 +33,13 @@
 
 import bzrlib
 
-__version__ = '0.92.0.dev'
-version_info = tuple(int(n) for n in __version__.split('.'))
+version_info = (0, 92, 0, 'dev', 0)
 
+if version_info[3] == 'final':
+    version_string = '%d.%d.%d' % version_info[:3]
+else:
+    version_string = '%d.%d.%d%s%d' % version_info
+__version__ = version_string
 
 def check_bzrlib_version(desired):
     """Check that bzrlib is compatible.
@@ -59,14 +63,15 @@
         from bzrlib.errors import BzrError
         warning('Installed Bazaar version %s is too old to be used with bzr-gtk'
                 ' %s.' % (bzrlib.__version__, __version__))
-        raise BzrError('Version mismatch: %r' % (version_info,) )
+        raise BzrError('Version mismatch: %r, %r' % (version_info, bzrlib.version_info) )
     else:
         warning('bzr-gtk is not up to date with installed bzr version %s.'
                 ' \nThere should be a newer version available, e.g. %i.%i.' 
                 % (bzrlib.__version__, bzrlib_version[0], bzrlib_version[1]))
 
 
-check_bzrlib_version(version_info[:2])
+if version_info[2] == "final":
+    check_bzrlib_version(version_info[:2])
 
 from bzrlib.trace import warning
 if __name__ != 'bzrlib.plugins.gtk':

